Originally Posted By Funlu
Ok guys, thanks, so basically, all I will have to do is wait until I get a new processor. Or a way to make it run faster. thanks.


Not really you can just use an earlier version of MacMAME before .93. Whether the current ROMs work with that is another story.